Summary:	Linux WPA Supplicant (IEEE 802.1X, WPA, WPA2, RSN, IEEE 802.11i)
Name:		wpa_supplicant
Version:	1.0
Release:	1
# wpa_supplicant itself is dual-licensed under GPLv2 and BSD license, but as we
# link against GPL libraries, we must use GPLv2 license
License:	GPLv2
Group:		Communications
URL:		http://hostap.epitest.fi/wpa_supplicant/
Source0:	http://hostap.epitest.fi/releases/wpa_supplicant-%{version}.tar.gz
Source3:	%{name}.service
Source4:	%{name}.sysconfig
Source6:	%{name}.logrotate
Patch1:		wpa_supplicant-1.0-mdv-defconfig.patch
# should be safe to just bump MAX_WEP_KEY_LEN to 32
# http://lists.shmoo.com/pipermail/hostap/2005-October/011787.html
Patch2:		wpa_supplicant-0.6.3-WEP232.patch
Patch5:		wpa_supplicant-1.0-mdv-dbus-service-file-args.patch
Patch7:		wpa_supplicant-0.7.3-copy-wpa_scan_results_free-for-wpa_priv.patch
# quiet an annoying and frequent syslog message
Patch8:		wpa_supplicant-quiet-scan-results-message.patch
# recover from streams of driver disconnect messages (iwl3945)
Patch9:		wpa_supplicant-squelch-driver-disconnect-spam.patch
# works around busted drivers by increasing association timeout
Patch10:	wpa_supplicant-assoc-timeout.patch
Patch11:	wpa_supplicant-0.7.3-fix-wpa_priv-eloop_signal_handler-casting.patch
Patch13:	wpa_supplicant-1.0-do-not-call-dbus-functions-with-NULL-path.patch
Requires(post,postun,preun):	systemd-units
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gnutls) >= 3.0
BuildRequires:	pkgconfig(libpcsclite)
BuildRequires:	doxygen
BuildRequires:	pkgconfig(Qt3Support)
BuildRequires:	pkgconfig(QtCore)
BuildRequires:	pkgconfig(QtGui)
BuildRequires:	pkgconfig(libnl-1)
BuildRequires:	madwifi-source
BuildRequires:	readline-devel
BuildRequires:	libgcrypt-devel
# http://ndiswrapper.sourceforge.net/wiki/index.php/WPA

%description
wpa_supplicant is a WPA Supplicant for Linux, BSD and Windows with
support for WPA and WPA2 (IEEE 802.11i / RSN). Supplicant is the IEEE
802.1X/WPA component that is used in the client stations. It
implements key negotiation with a WPA Authenticator and it controls
the roaming and IEEE 802.11 authentication/association of the wlan
driver.

wpa_supplicant is designed to be a "daemon" program that runs in the
background and acts as the backend component controlling the wireless
connection. wpa_supplicant supports separate frontend programs and an
example text-based frontend, wpa_cli, is included with wpa_supplicant.

Supported WPA/IEEE 802.11i features:
    * WPA-PSK ("WPA-Personal")
    * WPA with EAP (e.g., with RADIUS authentication server)
      ("WPA-Enterprise")
    * key management for CCMP, TKIP, WEP104, WEP40
    * WPA and full IEEE 802.11i/RSN/WPA2
    * RSN: PMKSA caching, pre-authentication

See the project web site or the eap_testing.txt file for a complete
list of supported EAP methods (IEEE 802.1X Supplicant), supported
drivers and interoperability testing.

%package -n wpa_gui
Group:		System/Configuration/Networking
Summary:	Graphical tool for wpa_supplicant

%description -n	wpa_gui
wpa_gui is a QT frontend for wpa_supplicant.
wpa_supplicant is a WPA Supplicant for Linux, BSD and Windows with
support for WPA and WPA2 (IEEE 802.11i / RSN).

%prep
%setup -q
%patch1 -p1 -b .conf~
%patch2 -p1 -b .WEP232~
%patch5 -p1 -b .service-file-args~
%patch7 -p1 -b .wpa_priv_func~
%patch8 -p1 -b .quiet-scan-results-msg~
#patch9 -p1 -b .disconnect-spam~ NEED A REDIFF?
%patch10 -p1 -b .assoc-timeout~
%patch11 -p1 -b .wpa_priv_cast~
%patch13 -p1 -b .null

pushd wpa_supplicant
# (blino) comment all "network = { }" blocks
perl -pi -e '$_ = "# $_" if /^\s*network\s*=\s*{/ .. /^\s*}/' wpa_supplicant.conf
cp defconfig .config
popd

%build
%setup_compile_flags
# Fix bug #63030: dereferencing type-punned pointer will break strict-aliasing rules [-Werror=strict-aliasing]
export CFLAGS+=" -fno-strict-aliasing -Wno-error=deprecated-declarations"
export CXXFLAGS+=" -fno-strict-aliasing" FFLAGS+=" -fno-strict-aliasing"
export BINDIR=%{_sbindir}
export LIBDIR=%{_libdir}


pushd wpa_supplicant
%make
%make eapol_test
pushd wpa_gui
 %qmake_qt4
 %make
popd
popd

%install
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_sysconfdir}/dbus-1/system.d/
mkdir -p %{buildroot}%{_datadir}/dbus-1/system-services/

install -m755 %{SOURCE3} -D %{buildroot}%{_systemunitdir}/%{name}.service
install -m644 %{SOURCE4} -D %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -m644 %{SOURCE6} -D %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

pushd wpa_supplicant
cp wpa_supplicant %{buildroot}%{_sbindir}
cp wpa_cli %{buildroot}%{_sbindir}
cp wpa_passphrase %{buildroot}%{_sbindir}
cp wpa_supplicant.conf %{buildroot}%{_sysconfdir}
cp wpa_gui/wpa_gui %{buildroot}%{_sbindir}
cp eapol_test %{buildroot}%{_sbindir}
install -m 0644 dbus/dbus-wpa_supplicant.conf \
    %{buildroot}%{_sysconfdir}/dbus-1/system.d/wpa_supplicant.conf
install -m 0644 dbus/fi.epitest.hostap.WPASupplicant.service \
    %{buildroot}%{_datadir}/dbus-1/system-services
install -m 0644 dbus/fi.w1.wpa_supplicant1.service \
    %{buildroot}%{_datadir}/dbus-1/system-services
mkdir -p %{buildroot}%{_mandir}/man{5,8}
cp doc/docbook/*.8 %{buildroot}%{_mandir}/man8
cp doc/docbook/*.5 %{buildroot}%{_mandir}/man5
popd

%post
%_post_service wpa_supplicant

%preun
%_preun_service wpa_supplicant

%files
%doc wpa_supplicant/ChangeLog wpa_supplicant/README wpa_supplicant/eap_testing.txt wpa_supplicant/todo.txt
%doc wpa_supplicant/README-WPS
%doc wpa_supplicant/examples/*.conf
%attr(0600,root,daemon) %config(noreplace) %{_sysconfdir}/wpa_supplicant.conf
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_systemunitdir}/%{name}.service
%{_sbindir}/wpa_cli
%{_sbindir}/wpa_passphrase
%{_sbindir}/wpa_supplicant
%{_sbindir}/eapol_test
%{_sysconfdir}/dbus-1/system.d/wpa_supplicant.conf
%{_datadir}/dbus-1/system-services/fi.epitest.hostap.WPASupplicant.service
%{_datadir}/dbus-1/system-services/fi.w1.wpa_supplicant1.service
%{_mandir}/man8/*
%{_mandir}/man5/*

%files -n wpa_gui
%{_sbindir}/wpa_gui


%changelog
* Fri May 25 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-1
+ Revision: 800613
- add buildrequires on libgcrypt-devel
- drop patches 0,3,4,6 and 12
- rediff patches 1,5 and 8
- add patch 13, do not call dbus with NULL path
- export LIBDIR and BINDIR
- fix post and postun scripts for systemd
- update to new version 1.0

* Mon Mar 19 2012 Bernhard Rosenkraenzer <bero@bero.eu> 0.7.3-4
+ Revision: 785750
- Add support for building with gnutls 3.x

* Thu Dec 01 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.7.3-2
+ Revision: 735873
- disable CONFIG_PRIVSEP
- fix casting to eloop_signal_handler in wpa_priv.c (P11)
- enable CONFIG_BGSCAN_SIMPLE & CONFIG_EAPOL_TEST
- add dependency on systemd-units
- add systemd service from Fedora
- work around busted drivers by increasing association timeout (P10, from Fedora)
- recover from streams of driver disconnect messages (iwl3945) (P9 from Fedora)
- quiet an annoying and frequent syslog message (P8 from Fedora)
- remove dependencies on rpm-helper as it's not used anywhere
- convert to pkgconfig() buildrequires
- specify GPL license version (2) and comment on it
- add readline-devel to buildrequires as we build with readline support now
- apply some cosmetics
- clean out obsolete rpm stuff
- we're using gnutls rather than openssl now
- provide copy of wpa_scan_results_free() from scan.c for use in wpa_priv (P7)
- fix missing 'enum' in front of wpa_event_type breaking wpa_priv build (P6)
- patch defconfig for configuration rather than providing our own copy (P1)
- disable CONFIG_DRIVER_NDISWRAPPER, deprecated by CONFIG_DRIVER_WEXT
- enable the new dbus interface in configuration file (needed by nm 0.9)
- sync wpa config build with fedora :
  	o enable more EAP (GSK, GSK_SHA256, FAST, FAX, TNC, IKEV2, PAX, )
  	o enable DRIVER_NL80211
  	o enable PKCS12 support
  	o enable SMARTCARD support
  	o enable WPS support
- add pkgconfig(libnl-1) as buildrequires
- pass some arguments to wpa_supplicant when launched in dbus (P5 from Mageia)
- Don't crash trying to pass NULL to dbus (P4 from Fedora)
- Send PropertyChanged notificationes when the BSS list changes (P3 from Fedora)

* Tue Apr 12 2011 Alexandre Lissy <alissy@mandriva.com> 0.7.3-1.4
+ Revision: 652801
- Fix for bug #63030: addinf -fno-strict-aliasing

  + Eugeni Dodonov <eugeni@mandriva.com>
    - Enable PKCS12 (#61951)

  + Andrey Borzenkov <arvidjaar@mandriva.org>
    - patch1: delete, enable new D-Bus interface

* Wed Sep 08 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.7.3-1mdv2011.0
+ Revision: 576819
- update to new stable release
- patch0: update to new code structure
- patch1: temporary comment out new D-Bus service until enabled

* Mon Aug 30 2010 Funda Wang <fwang@mandriva.org> 0.6.10-5mdv2011.0
+ Revision: 574309
- rebuild

* Mon Apr 12 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.10-4mdv2010.1
+ Revision: 533673
- build eapol_test too

* Mon Apr 05 2010 Eugeni Dodonov <eugeni@mandriva.com> 0.6.10-3mdv2010.1
+ Revision: 531899
- Rebuild for openssl 1.0.0.

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.10-2mdv2010.1
+ Revision: 511660
- rebuilt against openssl-0.9.8m

  + Andrey Borzenkov <arvidjaar@mandriva.org>
    - patch0: remove -c option, it is perinterface and ignored here anyway

* Mon Feb 01 2010 Pascal Terjan <pterjan@mandriva.org> 0.6.10-1mdv2010.1
+ Revision: 499264
- Update to 0.6.10

* Thu Oct 22 2009 Thomas Backlund <tmb@mandriva.org> 0.6.9-3mdv2010.0
+ Revision: 458985
- revert NL80211 support (fixes #54734, and probably #54368)

* Thu Oct 01 2009 Thomas Backlund <tmb@mandriva.org> 0.6.9-2mdv2010.0
+ Revision: 451906
- add BR libnl-devel for nl80211 support
- build NL80211 support too

* Tue Jul 14 2009 Thomas Backlund <tmb@mandriva.org> 0.6.9-1mdv2010.0
+ Revision: 395980
- update to 0.6.9

* Fri Mar 06 2009 Jérôme Soyer <saispo@mandriva.org> 0.6.8-1mdv2009.1
+ Revision: 349736
- New upstream release

* Mon Nov 24 2008 Olivier Blin <blino@mandriva.org> 0.6.6-1mdv2009.1
+ Revision: 306238
- fix path in dbus service file and make it use default config file
- install dbus config files
- enable dbus control interface
- 0.6.6

* Mon Sep 01 2008 Olivier Blin <blino@mandriva.org> 0.6.4-1mdv2009.0
+ Revision: 278137
- drop merged upstream patches
- 0.6.4

* Thu Aug 07 2008 Olivier Blin <blino@mandriva.org> 0.6.3-6mdv2009.0
+ Revision: 266296
- build Qt4 version of GUI (instead of Qt3)
- rebuild for latest madwifi-source

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Apr 03 2008 Olivier Blin <blino@mandriva.org> 0.6.3-3mdv2008.1
+ Revision: 192034
- support 256-bit long WEP232 keys
- use make macro
- use optflags (thanks Anssi)

* Wed Mar 05 2008 Olivier Blin <blino@mandriva.org> 0.6.3-2mdv2008.1
+ Revision: 180109
- add missing comment in wpa_supplicant.conf (from git, #38481)

* Sun Mar 02 2008 Olivier Blin <blino@mandriva.org> 0.6.3-1mdv2008.1
+ Revision: 177777
- fix build of Qt3 GUI
- 0.6.3

* Mon Jan 21 2008 Gustavo De Nardin <gustavodn@mandriva.com> 0.6.1-2mdv2008.1
+ Revision: 155645
- provide manpages
- provide sample configs

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 17 2007 Olivier Blin <blino@mandriva.org> 0.6.1-1mdv2008.1
+ Revision: 121663
- 0.6.1 (notably fix buffer overflow, #36124)

* Tue Aug 28 2007 Olivier Blin <blino@mandriva.org> 0.6.0-1mdv2008.0
+ Revision: 72748
- enable ralink and wired drivers
- 0.6.0
- do not package COPYING

  + Herton Ronaldo Krzesinski <herton@mandriva.com.br>
    - updated to version 0.5.8


* Wed Jan 03 2007 Olivier Blin <oblin@mandriva.com> 0.5.7-1mdv2007.0
+ Revision: 103759
- workaround profile scripts not sourced yet in iurt
- 0.5.7
- cosmetics

* Thu Sep 07 2006 Olivier Blin <oblin@mandriva.com> 0.5.5-2mdv2007.0
+ Revision: 60194
- drop internal copy of non-free madwifi source, use free madwifi-source package instead
- Import wpa_supplicant

* Wed Sep 06 2006 Olivier Blin <blino@mandriva.com> 0.5.5-1mdv2007.0
- 0.5.5
- update to madwifi 0.9.2
- split QT GUI in wpa_gui package
  (so that wpa_supplicant doesn't require QT and X11 libs)

* Thu Jun 22 2006 Olivier Blin <oblin@mandriva.com> 0.5.4-1mdv2007.0
- New release 0.5.4

* Sat Apr 29 2006 Olivier Blin <oblin@mandriva.com> 0.5.3-1mdk
- New release 0.5.3

* Mon Mar 20 2006 Olivier Blin <oblin@mandriva.com> 0.5.2-1mdk
- New release 0.5.2

* Mon Jan 30 2006 Olivier Blin <oblin@mandriva.com> 0.5.1-1mdk
- New release 0.5.1

* Mon Dec 19 2005 Olivier Blin <oblin@mandriva.com> 0.5.0-1mdk
- New release 0.5.0

* Sat Dec 03 2005 Andreas Hasenack <andreas@mandriva.com> 0.4.7-3mdk
- rebuilt with pcsc-lite 1.2.9

* Wed Nov 23 2005 Olivier Blin <oblin@mandriva.com> 0.4.7-2mdk
- make the description shorter (by removing EAP methods and drivers list)
- remove mkrel macro definition

* Mon Nov 21 2005 Olivier Blin <oblin@mandriva.com> 0.4.7-1mdk
- New release 0.4.7

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.6-2mdk
- rebuilt against openssl-0.9.8a

* Sat Oct 29 2005 Olivier Blin <oblin@mandriva.com> 0.4.6-1mdk
- 0.4.6

* Tue Oct 04 2005 Olivier Blin <oblin@mandriva.com> 0.4.5-1mdk
- 0.4.5
- update madwifi drivers (Source2)

* Tue Aug 23 2005 Olivier Blin <oblin@mandriva.com> 0.4.4-1mdk
- 0.4.4

* Wed Jul 06 2005 Olivier Blin <oblin@mandriva.com> 0.4.3-1mdk
- 0.4.3
- developer.txt isn't in the tarball anymore, see
  http://hostap.epitest.fi/wpa_supplicant/devel/

* Wed Jun 08 2005 Arnaud de Lorbeau <devel@mandriva.com> 0.4.1-2mdk
- build and package wpa_gui
- add EAP-AKA and EAP-PSK in build config file

* Sat May 28 2005 Olivier Blin <oblin@mandriva.com> 0.4.1-1mdk
- 0.4.1
- drop Patch0 (SIOCSIWSCANEXT doesn't belong to latest WE 18 proposal)

* Sat May 21 2005 Olivier Blin <oblin@mandriva.com> 0.3.8-9mdk
- update Summary and Description (Arnaud de Lorbeau)
- package eap_testing.txt

* Fri May 20 2005 Olivier Blin <oblin@mandriva.com> 0.3.8-8mdk
- remove crappy code in patch0

* Sat May 14 2005 Olivier Blin <oblin@mandriva.com> 0.3.8-7mdk
- update Patch0 to set ssid for all wext based drivers
  (SIOCSIWSCANEXT isn't supported yet)

* Tue Apr 19 2005 Olivier Blin <oblin@mandrakesoft.com> 0.3.8-6mdk
- remove init script, use WPA support in the initscripts

* Tue Mar 15 2005 Olivier Blin <oblin@mandrakesoft.com> 0.3.8-5mdk
- Patch0: workaround to have WPA working with ipw and hidden ssid

* Tue Mar 15 2005 Olivier Blin <oblin@mandrakesoft.com> 0.3.8-4mdk
- add madwifi support in init script (Adam Williamson, #14637)

* Wed Mar 09 2005 Olivier Blin <oblin@mandrakesoft.com> 0.3.8-3mdk
- make wpa_supplicant.conf readable by root only

* Thu Feb 24 2005 Olivier Blin <oblin@mandrakesoft.com> 0.3.8-2mdk
- update to madwifi-cvs-snapshot-2005-02-24
- use "./madwifi" folder in wpa-config (do not depend on date)
- comment all "network = { }" blocks in wpa_supplicant.conf
- drop Patch0, merged above
- use %%{_sysconfdir}

* Tue Feb 15 2005 Olivier Blin <oblin@mandrakesoft.com> 0.3.8-1mdk
- 0.3.8
- remove Patch1 (ipw support added upstream)
- merge Patch0 in wpa-config
- use ipw driver for ipw2x00 cards in init script
- build control interface (CONFIG_CTRL_IFACE)
- Patch0: comment FAST and PSK AP in wpa_supplicant.conf
  (experimental and not built-in yet)

* Thu Dec 23 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.2.5-2mdk
- add ipw2100 patch
- distro-specific release tag
- init script (S3)

* Fri Oct 29 2004 Stefan van der Eijk <stefan@mandrake.org> 0.2.5-1mdk
- 0.2.5

* Tue Sep 14 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.2.4-1mdk
- clean spec
- 0.2.4

* Wed May 12 2004 Tooru Yoshida <yoshida@embeddedlinux.jp>
- wpa_supplicant 0.2.1

